cecilia (2.0.5-2.2) debian-dir only changes

Summary

 debian/README.Debian                     |    5 
 debian/cecilia.1                         |  107 +++
 debian/cecilia.install                   |    1 
 debian/changelog                         |   72 ++
 debian/control                           |   22 
 debian/copyright                         |   25 
 debian/dirs                              |    3 
 debian/docs                              |    2 
 debian/manpages                          |    1 
 debian/menu                              |    3 
 debian/patches/00list                    |    5 
 debian/patches/10makefile.dpatch         |   37 +
 debian/patches/11cecilia_xpm_icon.dpatch |  975 +++++++++++++++++++++++++++++++
 debian/patches/12cecilia.dpatch          |   66 ++
 debian/patches/13CVE-2008-1832.dpatch    |   39 +
 debian/patches/14startup-loop.dpatch     |   22 
 debian/rules                             |  104 +++
 debian/watch                             |    2 
 18 files changed, 1491 insertions(+)

    
download this patch

Patch contents

--- cecilia-2.0.5.orig/debian/rules
+++ cecilia-2.0.5/debian/rules
@@ -0,0 +1,104 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+include /usr/share/dpatch/dpatch.make
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp patch-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	#$(MAKE)
+	#/usr/bin/docbook-to-man debian/cecilia.sgml > cecilia.1
+
+	touch build-stamp
+
+clean: unpatch
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/cecilia.
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/cecilia
+
+	# FIXUP the permissions -- please find a better way to do that
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Time/Stretcher2
+	chmod 644 "$(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Time/Quad Delays"
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Pitch/Transposer2
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Spectral/Resonators/ResonatorBank
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Time/Warper2
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Time/Brassage2
+	chmod 644 $(CURDIR)/debian/cecilia/usr/share/cecilia/files/builtin/Synthesis/StochasticGrains2
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf
+	dh_install
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+	dh_installcron
+	dh_installman
+	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure patch-stamp unpatch
--- cecilia-2.0.5.orig/debian/docs
+++ cecilia-2.0.5/debian/docs
@@ -0,0 +1,2 @@
+README
+TODO
--- cecilia-2.0.5.orig/debian/control
+++ cecilia-2.0.5/debian/control
@@ -0,0 +1,22 @@
+Source: cecilia
+Section: sound
+Priority: optional
+Maintainer: Free Ekanayaka <free@agnula.org>
+Build-Depends-Indep: debhelper (>> 3.0.0), dpatch
+Standards-Version: 3.8.0
+
+Package: cecilia
+Architecture: all
+Depends: csound (>= 4.23), tk8.3 | tk8.4
+Description: graphic user interface for CSound
+ Cecilia is a graphic user interface for the sound synthesis and sound
+ processing package CSound. Cecilia enables the user to build very
+ quickly graphic interfaces with sliders and curves to control CSound
+ intruments. It is also an editor to CSound with syntax highlighting
+ and a built-in reference. Cecilia is also a great tool to explore the
+ parameters of a new opcode in an interactive and intuitive way.
+ .
+ Cecilia was designed by and for musicians and sound designers. All
+ the traditional sound processing devices are included such as EQs,
+ compressors and delays adapted for the most simple applications and
+ the wildest imaginable sonic contortions.
--- cecilia-2.0.5.orig/debian/cecilia.1
+++ cecilia-2.0.5/debian/cecilia.1
@@ -0,0 +1,107 @@
+.\" Copyright (c) 2003 Dave Phillips
+.\"
+.\" This is free documentation; you can redistribute it and/or
+.\" modify it under the terms of the GNU General Public License as
+.\" published by the Free Software Foundation; either version 2 of
+.\" the License, or (at your option) any later version.
+.\"
+.\" The GNU General Public License's references to "object code"
+.\" and "executables" are to be interpreted as the output of any
+.\" document formatting or typesetting system, including
+.\" intermediate and printed output.
+.\"
+.\" This manual is distributed in the hope that it will be useful,
+.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\" GNU General Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public
+.\" License along with this manual; if not, write to the Free
+.\" Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
+.\" USA.
+.\"
+.TH Cecilia 1 "November 2003"
+.SH NAME
+Cecilia - A GUI and programming environment for Csound
+.SH SYNOPSIS
+.BI "cecilia [" OPTIONS "]"
+.SH DESCRIPTION
+.B Cecilia
+is a graphic interface for music composition and signal processing that uses 
+.B Csound 
+as its audio processing engine.
+.B Cecilia
+is a completely programmable sound processing tool with realtime interactive processing of soundfiles or live input.
+It can also be regarded a software synthesizer with configurable controls. 
+
+.B Cecilia
+includes the
+.B Cybil
+language for the production of complex
+.B Csound
+scores.
+
+.B Cecilia
+provides a completely programmable GUI written in
+.B Tcl/Tk.
+Parameter controls may be designed for interactive input and for dynamic graphing. The program
+can also be used as a
+.B Csound
+friendly text editor for the creation of
+.B Csound
+instruments and scores.
+
+.SH OPTIONS
+No runtime options are available for this program.
+.B cecilia -h
+will return the options specific to
+.B Tcl/Tk.
+
+.SH FILES
+Examples and complete HTML documentation can be found in the
+.I $CECILIA_HOME/files
+directory.
+
+.SH BUGS
+Report all bugs to the
+.B Cecilia
+mail list at 
+.I http://cecilia.sourceforge.net.
+
+>From the TODO list for
+.B Cecilia 2.0.5
+:
+
+Amplitude information is not displayed with 
+.B Csound 
+versions later than 4.16.
+
+Auto Rename generates soundfiles with an extension incompatible with the 
+.B play 
+and 
+.B SoX
+programs.
+
+The Pvoc Reader window comes up very squashed, needs reasonable default size.
+
+.SH TODO
+>From the TODO list for
+.B Cecilia 2.0.5
+:
+
+- Create complete package for MacOS X
+
+- Merge Windows sources from Bill Beck into CVS
+
+- Use Tcl compiler to create binaries
+
+- Documentation needs to be updated to recent versions of
+.B Csound
+with a new script to generate the reference database from the HTML.
+
+.SH AUTHORS
+.B Cecilia
+was written by Alexandre Burton and Jean Piché at the University Of Montreal.
+
+.SH COPYRIGHT
+Copyright © Jean Piché and Alexandre Burton, 1995-98. Licensed under the GNU Public License.
--- cecilia-2.0.5.orig/debian/changelog
+++ cecilia-2.0.5/debian/changelog
@@ -0,0 +1,72 @@
+cecilia (2.0.5-2.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Apply patch from Felipe Sateler to make cecilia works with csound 5;
+    Closes: #476300
+  * Update Uploaders list (Closes: #546950).
+
+ -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 16:52:51 +0200
+
+cecilia (2.0.5-2.1) unstable; urgency=high
+
+  * Non-maintainer upload by the security team
+  * Include 13CVE-2008-1832.dpatch to fix insecure tmp file handling,
+    which allows a symlink attack (Closes: #476321)
+    Fixes: CVE-2008-1832
+
+ -- Steffen Joeris <white@debian.org>  Fri, 09 May 2008 11:47:07 +0000
+
+cecilia (2.0.5-2) unstable; urgency=low
+
+  * Added menu icon (closes: #299415)
+  * Fixed watch file
+
+ -- Free Ekanayaka <free@agnula.org>  Wed, 23 Mar 2005 12:19:06 +0100
+
+cecilia (2.0.5-1) unstable; urgency=low
+
+  * Uploaded to Debian (closes: #203901)
+
+ -- Free Ekanayaka <free@agnula.org>  Sat, 13 Mar 2004 03:28:09 +0100
+
+cecilia (2.0.5-0test4) unstable; urgency=low
+
+  * debian/control: added tk8.4 dependency
+  * debian/control: mantainer is now Free Ekanayaka
+  * debian/changelog: new versioning scheme, now using X.Y-0testZ
+
+ -- Free Ekanayaka <free@agnula.org>  Wed, 10 Dec 2003 13:55:11 +0600
+
+cecilia (2.0.5-2test3) unstable; urgency=low
+
+  * copyright file is now the way Debian likes it
+  * cecilia.tcl moved from /usr/bin to /usr/lib/cecilia, otherwise it
+    requires a man page
+
+ -- Free Ekanayaka <free@agnula.org>  Thu, 27 Nov 2003 17:43:06 +0600
+
+cecilia (2.0.5-2test2) unstable; urgency=low
+
+  * debian/cecilia.1: added man page (by <d.phillips@agnula.org> 
+
+ -- Andrea Glorioso <andrea.glorioso@agnula.org>  Mon, 24 Nov 2003 11:31:55 +0100
+
+cecilia (2.0.5-2test1) unstable; urgency=low
+
+  * New versioning scheme.
+  * Switched to using dpatch. 
+
+ -- Andrea Glorioso <andrea.glorioso@agnula.org>  Fri, 21 Nov 2003 16:26:33 +0100
+
+cecilia (2.0.5-1.agnula-1) unstable; urgency=low
+
+  * Repackaged for AGNULA.
+
+ -- Free Ekanayaka <free@centrotemporeale.it>  Wed, 23 Jul 2003 12:43:30 +0200
+
+cecilia (2.0.5-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Free Ekanayaka <free@centrotemporeale.it>  Mon,  7 Jul 2003 23:48:59 +0200
+
--- cecilia-2.0.5.orig/debian/dirs
+++ cecilia-2.0.5/debian/dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/pixmaps
+usr/lib/cecilia
--- cecilia-2.0.5.orig/debian/README.Debian
+++ cecilia-2.0.5/debian/README.Debian
@@ -0,0 +1,5 @@
+TODO:
+
+- man page
+- reduce the size of FTR/cecilia.xpm
+- change the colors of FTR/cecilia.xpm
--- cecilia-2.0.5.orig/debian/copyright
+++ cecilia-2.0.5/debian/copyright
@@ -0,0 +1,25 @@
+This package was debianized by Free Ekanayaka <free@centrotemporeale.it> and
+Andrea Glorioso <andrea.glorioso@agnula.org> on Mon,  7 Jul 2003 23:48:59 +0200.
+
+It was downloaded from http://sourceforge.net/cecilia/
+
+Upstream Author: Alexandre Burton <burtona@ere.umontreal.ca>
+
+Copyright: 
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+   02111-1307, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
--- cecilia-2.0.5.orig/debian/watch
+++ cecilia-2.0.5/debian/watch
@@ -0,0 +1,2 @@
+version=2
+http://sf.gds.tuwien.ac.at/c/ce/cecilia	cecilia-(.*)\.tar\.gz	debian	uupdate
--- cecilia-2.0.5.orig/debian/menu
+++ cecilia-2.0.5/debian/menu
@@ -0,0 +1,3 @@
+?package(cecilia):needs="X11" section="Apps/Sound"\
+  title="Cecilia" command="/usr/bin/cecilia" hints="Composition"\
+  icon="/usr/share/pixmaps/cecilia.xpm"
--- cecilia-2.0.5.orig/debian/cecilia.install
+++ cecilia-2.0.5/debian/cecilia.install
@@ -0,0 +1 @@
+FTR/cecilia.xpm usr/share/pixmaps/
--- cecilia-2.0.5.orig/debian/manpages
+++ cecilia-2.0.5/debian/manpages
@@ -0,0 +1 @@
+debian/cecilia.1
--- cecilia-2.0.5.orig/debian/patches/14startup-loop.dpatch
+++ cecilia-2.0.5/debian/patches/14startup-loop.dpatch
@@ -0,0 +1,22 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 14startup-loop.dpatch by  <james.westby@canonical.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch from Felipe Sateler to fix infinite loop on startup.
+## DP: Ubuntu: https://bugs.launchpad.net/bugs/236251
+## DP: Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476300
+## DP: Upstream: http://sourceforge.net/tracker/index.php?func=detail&atid=430569&aid=2182608&group_id=41431
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' cecilia-2.0.5~/lib/prefs.tcl cecilia-2.0.5/lib/prefs.tcl
+--- cecilia-2.0.5~/lib/prefs.tcl	2010-09-20 16:59:06.232678033 +0200
++++ cecilia-2.0.5/lib/prefs.tcl	2010-09-20 16:59:06.364688126 +0200
+@@ -187,7 +187,7 @@
+ 	set f [open $tmp r]
+ 	while ![eof $f] {
+ 	    set l [gets $f ]
+-	    if [regexp Version $l] { break }
++	    if [regexp -nocase version $l] { break }
+ 	}	
+ 	
+ 	close $f
--- cecilia-2.0.5.orig/debian/patches/11cecilia_xpm_icon.dpatch
+++ cecilia-2.0.5/debian/patches/11cecilia_xpm_icon.dpatch
@@ -0,0 +1,975 @@
+#!/bin/sh -e
+## 11cecilia_xpm_icon.dpatch by Andrea Glorioso <andrea.glorioso@binary-only.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Add the cecilia xpm icon.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /var/home/sama/tmp/cecilia/cecilia-2.0.5/FTR/cecilia.xpm cecilia-2.0.5/FTR/cecilia.xpm
+--- /var/home/sama/tmp/cecilia/cecilia-2.0.5/FTR/cecilia.xpm	1970-01-01 01:00:00.000000000 +0100
++++ cecilia-2.0.5/FTR/cecilia.xpm	2003-11-21 16:46:18.000000000 +0100
+@@ -0,0 +1,946 @@
++/* XPM */
++static char * cecilia_xpm[] = {
++"40 32 911 2",
++"  	c None",
++". 	c #020000",
++"+ 	c #020200",
++"@ 	c #0A0200",
++"# 	c #050000",
++"$ 	c #0A0000",
++"% 	c #090200",
++"& 	c #060000",
++"* 	c #0C0200",
++"= 	c #030000",
++"- 	c #0D0200",
++"; 	c #0D0000",
++"> 	c #040200",
++", 	c #0B0000",
++"' 	c #080200",
++") 	c #070000",
++"! 	c #0C0000",
++"~ 	c #020100",
++"{ 	c #0D0100",
++"] 	c #030200",
++"^ 	c #070200",
++"/ 	c #080000",
++"( 	c #0B0200",
++"_ 	c #040000",
++": 	c #0F0400",
++"< 	c #160900",
++"[ 	c #120404",
++"} 	c #120D00",
++"| 	c #160400",
++"1 	c #0F0000",
++"2 	c #1A0600",
++"3 	c #0F0800",
++"4 	c #1A0200",
++"5 	c #0F0303",
++"6 	c #1A0901",
++"7 	c #0F0500",
++"8 	c #160000",
++"9 	c #120400",
++"0 	c #130900",
++"a 	c #150400",
++"b 	c #0F0900",
++"c 	c #190500",
++"d 	c #1A0300",
++"e 	c #1A0303",
++"f 	c #1A0500",
++"g 	c #170900",
++"h 	c #110404",
++"i 	c #130D00",
++"j 	c #100000",
++"k 	c #180504",
++"l 	c #1A0D00",
++"m 	c #1A0800",
++"n 	c #1A0A00",
++"o 	c #1A0B00",
++"p 	c #1A0700",
++"q 	c #190900",
++"r 	c #190404",
++"s 	c #190D00",
++"t 	c #190400",
++"u 	c #0F0404",
++"v 	c #0D0700",
++"w 	c #0D0600",
++"x 	c #0D0707",
++"y 	c #0D0D00",
++"z 	c #180600",
++"A 	c #0F0700",
++"B 	c #0F0805",
++"C 	c #0F0702",
++"D 	c #0E0700",
++"E 	c #100606",
++"F 	c #150700",
++"G 	c #130606",
++"H 	c #1E1507",
++"I 	c #472107",
++"J 	c #5A2F12",
++"K 	c #5E2F08",
++"L 	c #3F2707",
++"M 	c #2D1507",
++"N 	c #150606",
++"O 	c #150707",
++"P 	c #190600",
++"Q 	c #0F0807",
++"R 	c #0F0D00",
++"S 	c #1A0900",
++"T 	c #160707",
++"U 	c #0F0707",
++"V 	c #0F0808",
++"W 	c #160D00",
++"X 	c #120800",
++"Y 	c #120500",
++"Z 	c #160808",
++"` 	c #0F0703",
++" .	c #1A0805",
++"..	c #0F0806",
++"+.	c #1A0602",
++"@.	c #190D05",
++"#.	c #180800",
++"$.	c #2A0D08",
++"%.	c #562211",
++"&.	c #77360F",
++"*.	c #80460F",
++"=.	c #91460F",
++"-.	c #964D0F",
++";.	c #92430C",
++">.	c #8E400D",
++",.	c #86470F",
++"'.	c #753517",
++").	c #421708",
++"!.	c #1E0D00",
++"~.	c #190D08",
++"{.	c #220900",
++"].	c #1A0E02",
++"^.	c #1A0B06",
++"/.	c #1A0C00",
++"(.	c #0F0B08",
++"_.	c #1C0808",
++":.	c #1F0D00",
++"<.	c #1F0D08",
++"[.	c #230D00",
++"}.	c #100808",
++"|.	c #0D0303",
++"1.	c #100D00",
++"2.	c #140300",
++"3.	c #0D0A00",
++"4.	c #180A00",
++"5.	c #0F0202",
++"6.	c #0F0A01",
++"7.	c #180303",
++"8.	c #491B0D",
++"9.	c #732B03",
++"0.	c #8C400D",
++"a.	c #82410F",
++"b.	c #8A400C",
++"c.	c #8C4108",
++"d.	c #8C410F",
++"e.	c #8C540F",
++"f.	c #8A5605",
++"g.	c #8F380F",
++"h.	c #9F4515",
++"i.	c #6F290A",
++"j.	c #221103",
++"k.	c #1C0E00",
++"l.	c #240C01",
++"m.	c #1A0503",
++"n.	c #1B0D00",
++"o.	c #1B0303",
++"p.	c #1C0D00",
++"q.	c #0D0B00",
++"r.	c #150100",
++"s.	c #120B0B",
++"t.	c #100100",
++"u.	c #150B00",
++"v.	c #0F0100",
++"w.	c #180500",
++"x.	c #180300",
++"y.	c #180B00",
++"z.	c #29110B",
++"A.	c #4D210B",
++"B.	c #65270B",
++"C.	c #8B350B",
++"D.	c #A44C0B",
++"E.	c #9E4C04",
++"F.	c #A75808",
++"G.	c #B25F08",
++"H.	c #A75C0D",
++"I.	c #9C5A0C",
++"J.	c #8F560B",
++"K.	c #A35314",
++"L.	c #BA671B",
++"M.	c #8D4A0B",
++"N.	c #32150B",
++"O.	c #1A0C0B",
++"P.	c #190D06",
++"Q.	c #240D04",
++"R.	c #240C00",
++"S.	c #1D0B0B",
++"T.	c #210B00",
++"U.	c #1D0B00",
++"V.	c #0D0B0B",
++"W.	c #110B0B",
++"X.	c #130000",
++"Y.	c #0F0B00",
++"Z.	c #100200",
++"`.	c #0D0800",
++" +	c #100600",
++".+	c #160500",
++"++	c #100A00",
++"@+	c #0C0100",
++"#+	c #140B00",
++"$+	c #2B1000",
++"%+	c #451A0B",
++"&+	c #5F250B",
++"*+	c #AB550B",
++"=+	c #9B4D02",
++"-+	c #BD5809",
++";+	c #BD6005",
++">+	c #BF6005",
++",+	c #BE6009",
++"'+	c #B66608",
++")+	c #B86D13",
++"!+	c #C46519",
++"~+	c #DB993B",
++"{+	c #CA842A",
++"]+	c #A4671A",
++"^+	c #251300",
++"/+	c #240D00",
++"(+	c #190800",
++"_+	c #1B0B00",
++":+	c #230B00",
++"<+	c #1F0B00",
++"[+	c #0C0B0B",
++"}+	c #110000",
++"|+	c #170000",
++"1+	c #150B0B",
++"2+	c #190B00",
++"3+	c #140A00",
++"4+	c #140606",
++"5+	c #0E0B0B",
++"6+	c #260B00",
++"7+	c #41100B",
++"8+	c #421A0B",
++"9+	c #56280B",
++"0+	c #81360B",
++"a+	c #95520C",
++"b+	c #AD590D",
++"c+	c #B8620D",
++"d+	c #BD660D",
++"e+	c #CC8634",
++"f+	c #E9B665",
++"g+	c #EFC773",
++"h+	c #ECC974",
++"i+	c #F8D78D",
++"j+	c #FAD792",
++"k+	c #F8C984",
++"l+	c #8E672B",
++"m+	c #240D03",
++"n+	c #240D08",
++"o+	c #190D0A",
++"p+	c #240B01",
++"q+	c #210B0B",
++"r+	c #110B00",
++"s+	c #120B00",
++"t+	c #140200",
++"u+	c #140000",
++"v+	c #1D1100",
++"w+	c #331000",
++"x+	c #33150B",
++"y+	c #421700",
++"z+	c #5B240B",
++"A+	c #6E2C0C",
++"B+	c #873909",
++"C+	c #793B0D",
++"D+	c #B06B20",
++"E+	c #F3C069",
++"F+	c #EAC783",
++"G+	c #EFCE79",
++"H+	c #EAC784",
++"I+	c #EFC789",
++"J+	c #EACC99",
++"K+	c #EFC996",
++"L+	c #DAA16A",
++"M+	c #19130A",
++"N+	c #191400",
++"O+	c #1A0B0B",
++"P+	c #0B0B00",
++"Q+	c #130B00",
++"R+	c #100B00",
++"S+	c #150101",
++"T+	c #160800",
++"U+	c #1B0C00",
++"V+	c #260E00",
++"W+	c #2A0C0B",
++"X+	c #330D00",
++"Y+	c #3F2309",
++"Z+	c #4F240D",
++"`+	c #5A2E16",
++" @	c #663915",
++".@	c #A67436",
++"+@	c #B7964E",
++"@@	c #BEA16C",
++"#@	c #C9A670",
++"$@	c #CAB07D",
++"%@	c #C9B385",
++"&@	c #D4B688",
++"*@	c #D4B986",
++"=@	c #CBA165",
++"-@	c #3D2B13",
++";@	c #241004",
++">@	c #0D0B01",
++",@	c #180B0B",
++"'@	c #190101",
++")@	c #150B01",
++"!@	c #190300",
++"~@	c #190700",
++"{@	c #190501",
++"]@	c #1A0D01",
++"^@	c #1D180B",
++"/@	c #321801",
++"(@	c #4B1F0B",
++"_@	c #76310B",
++":@	c #86530D",
++"<@	c #A2610D",
++"[@	c #AF5C0F",
++"}@	c #C8822A",
++"|@	c #F7C671",
++"1@	c #F4CC85",
++"2@	c #FCD799",
++"3@	c #FFD7A4",
++"4@	c #FEDC9E",
++"5@	c #FFDFB1",
++"6@	c #FFCDA9",
++"7@	c #F4D8A4",
++"8@	c #F1CA95",
++"9@	c #704F2A",
++"0@	c #1A1800",
++"a@	c #240D01",
++"b@	c #1C1700",
++"c@	c #200B01",
++"d@	c #0D0A0A",
++"e@	c #0D0D03",
++"f@	c #180D00",
++"g@	c #0F0A00",
++"h@	c #0F0604",
++"i@	c #0F0D06",
++"j@	c #0F0D08",
++"k@	c #0F0E03",
++"l@	c #1A0E0A",
++"m@	c #261003",
++"n@	c #28150A",
++"o@	c #281303",
++"p@	c #50240A",
++"q@	c #704A0D",
++"r@	c #8B580F",
++"s@	c #9D6A0F",
++"t@	c #CA942E",
++"u@	c #EEC05C",
++"v@	c #E5BD6F",
++"w@	c #F3B669",
++"x@	c #F1B26F",
++"y@	c #F2B765",
++"z@	c #F4BC69",
++"A@	c #F4BD6B",
++"B@	c #EBB16C",
++"C@	c #E5B15A",
++"D@	c #8B6731",
++"E@	c #1A0F06",
++"F@	c #240F04",
++"G@	c #1A0F0A",
++"H@	c #230D01",
++"I@	c #220D00",
++"J@	c #210A0A",
++"K@	c #1D0D00",
++"L@	c #120505",
++"M@	c #120D08",
++"N@	c #160505",
++"O@	c #1A0704",
++"P@	c #0F0C00",
++"Q@	c #0F0704",
++"R@	c #1A0F05",
++"S@	c #211908",
++"T@	c #331905",
++"U@	c #281308",
++"V@	c #441C05",
++"W@	c #633A08",
++"X@	c #84510F",
++"Y@	c #945B0F",
++"Z@	c #BB720F",
++"`@	c #CC8F2E",
++" #	c #E0A65F",
++".#	c #EDBA6A",
++"+#	c #E3AB54",
++"@#	c #DBA449",
++"##	c #F1B878",
++"$#	c #F4D19E",
++"%#	c #E2B76E",
++"&#	c #E0AD5B",
++"*#	c #8C6146",
++"=#	c #1A0F00",
++"-#	c #1E1A00",
++";#	c #1E1800",
++">#	c #1B1005",
++",#	c #201400",
++"'#	c #210500",
++")#	c #0F0D05",
++"!#	c #0D0606",
++"~#	c #0F0906",
++"{#	c #1A0705",
++"]#	c #0F0D02",
++"^#	c #1B0E06",
++"/#	c #331007",
++"(#	c #28190D",
++"_#	c #281907",
++":#	c #281106",
++"<#	c #572407",
++"[#	c #854108",
++"}#	c #94590F",
++"|#	c #A86E0F",
++"1#	c #A95F0F",
++"2#	c #AC6F30",
++"3#	c #8E7836",
++"4#	c #CC813D",
++"5#	c #C18828",
++"6#	c #E6A15A",
++"7#	c #FAD499",
++"8#	c #D7A04E",
++"9#	c #754D35",
++"0#	c #4A2A11",
++"a#	c #1A0F03",
++"b#	c #1A1A04",
++"c#	c #200F00",
++"d#	c #200D07",
++"e#	c #210D06",
++"f#	c #210D00",
++"g#	c #260D00",
++"h#	c #110D06",
++"i#	c #0F0909",
++"j#	c #120909",
++"k#	c #160909",
++"l#	c #1A0D03",
++"m#	c #1A0D05",
++"n#	c #1A0E00",
++"o#	c #100F09",
++"p#	c #33190D",
++"q#	c #28130D",
++"r#	c #331509",
++"s#	c #451D0D",
++"t#	c #823F0B",
++"u#	c #BE812F",
++"v#	c #E6CB6B",
++"w#	c #C88E35",
++"x#	c #D8AB5B",
++"y#	c #A27D3F",
++"z#	c #DDAF6A",
++"A#	c #ECB362",
++"B#	c #F2B261",
++"C#	c #FCD6A5",
++"D#	c #F0D491",
++"E#	c #D1A971",
++"F#	c #3F2926",
++"G#	c #1A1A02",
++"H#	c #0F0F02",
++"I#	c #1E0F08",
++"J#	c #230D04",
++"K#	c #1F0D09",
++"L#	c #210D09",
++"M#	c #270D00",
++"N#	c #110D00",
++"O#	c #0D0202",
++"P#	c #140202",
++"Q#	c #100202",
++"R#	c #1A0B01",
++"S#	c #0F0901",
++"T#	c #1A0302",
++"U#	c #29100D",
++"V#	c #231502",
++"W#	c #2D130D",
++"X#	c #281102",
++"Y#	c #331702",
++"Z#	c #6D2A0F",
++"`#	c #D28440",
++" $	c #F8D698",
++".$	c #F6CF8A",
++"+$	c #F0BF84",
++"@$	c #F1D7A2",
++"#$	c #FFD9B2",
++"$$	c #F0CC8E",
++"%$	c #EEC17D",
++"&$	c #F4E1B6",
++"*$	c #FFDCB6",
++"=$	c #F3D6A5",
++"-$	c #77614C",
++";$	c #070700",
++">$	c #240F02",
++",$	c #270D02",
++"'$	c #200D02",
++")$	c #250D00",
++"!$	c #160B00",
++"~$	c #0F0B01",
++"{$	c #170D0A",
++"]$	c #170D00",
++"^$	c #190C0B",
++"/$	c #26190B",
++"($	c #26120B",
++"_$	c #26140B",
++":$	c #35190B",
++"<$	c #5C280C",
++"[$	c #BC722F",
++"}$	c #F0C27A",
++"|$	c #F7D3BC",
++"1$	c #FEF0D4",
++"2$	c #FFF0E3",
++"3$	c #FFF0D7",
++"4$	c #F2E1B6",
++"5$	c #F2C18B",
++"6$	c #F2E0B5",
++"7$	c #F4DA9F",
++"8$	c #FCE1AE",
++"9$	c #7B6F59",
++"0$	c #191700",
++"a$	c #241704",
++"b$	c #241601",
++"c$	c #1D0E00",
++"d$	c #21120B",
++"e$	c #211200",
++"f$	c #120000",
++"g$	c #110200",
++"h$	c #110600",
++"i$	c #110A00",
++"j$	c #190C00",
++"k$	c #150D00",
++"l$	c #2A1300",
++"m$	c #261500",
++"n$	c #4A220B",
++"o$	c #622C02",
++"p$	c #C16719",
++"q$	c #DEA34F",
++"r$	c #F0C77F",
++"s$	c #F7DDB1",
++"t$	c #FEE1C3",
++"u$	c #FBE1C5",
++"v$	c #F2CF97",
++"w$	c #ECC17B",
++"x$	c #F6D5B3",
++"y$	c #FFDAAE",
++"z$	c #F5CB94",
++"A$	c #775042",
++"B$	c #191100",
++"C$	c #1A0F0B",
++"D$	c #1F0E00",
++"E$	c #230C0B",
++"F$	c #0E0B00",
++"G$	c #190D04",
++"H$	c #130D06",
++"I$	c #25130B",
++"J$	c #261C00",
++"K$	c #2D150B",
++"L$	c #55230B",
++"M$	c #652F0C",
++"N$	c #C16A15",
++"O$	c #D8903B",
++"P$	c #E5A763",
++"Q$	c #F0C37D",
++"R$	c #F7D69D",
++"S$	c #F8D8A3",
++"T$	c #F3C595",
++"U$	c #D5A258",
++"V$	c #E4B066",
++"W$	c #F7D193",
++"X$	c #F5C276",
++"Y$	c #452813",
++"Z$	c #241308",
++"`$	c #240D06",
++" %	c #241304",
++".%	c #241201",
++"+%	c #1A0D0B",
++"@%	c #1A1200",
++"#%	c #110800",
++"$%	c #150600",
++"%%	c #110100",
++"&%	c #20120B",
++"*%	c #2E1300",
++"=%	c #42190B",
++"-%	c #5B2702",
++";%	c #C18427",
++">%	c #D19230",
++",%	c #DD953F",
++"'%	c #E5A75B",
++")%	c #F0CA75",
++"!%	c #F7DBA8",
++"~%	c #E8D08C",
++"{%	c #BD7F27",
++"]%	c #BB8A43",
++"^%	c #EED097",
++"/%	c #D8A770",
++"(%	c #1E110A",
++"_%	c #191508",
++":%	c #190D02",
++"<%	c #1F1300",
++"[%	c #1F1200",
++"}%	c #130B0B",
++"|%	c #0F0D0A",
++"1%	c #0F0600",
++"2%	c #170808",
++"3%	c #0F0D03",
++"4%	c #160C00",
++"5%	c #1E150B",
++"6%	c #3B1E0B",
++"7%	c #33110B",
++"8%	c #331800",
++"9%	c #602C0C",
++"0%	c #C58228",
++"a%	c #D38C33",
++"b%	c #D3813A",
++"c%	c #DB9F42",
++"d%	c #E6B56F",
++"e%	c #F2D7A4",
++"f%	c #F2CF94",
++"g%	c #F1BE69",
++"h%	c #EAB978",
++"i%	c #F0B770",
++"j%	c #8A6D4F",
++"k%	c #190D03",
++"l%	c #191706",
++"m%	c #1D140B",
++"n%	c #210C00",
++"o%	c #1D1400",
++"p%	c #0D0C0B",
++"q%	c #0E0101",
++"r%	c #120C00",
++"s%	c #160C01",
++"t%	c #190807",
++"u%	c #1A0606",
++"v%	c #190A00",
++"w%	c #0F0D01",
++"x%	c #1F1201",
++"y%	c #46250C",
++"z%	c #8D5716",
++"A%	c #622F0E",
++"B%	c #5E2903",
++"C%	c #BC7A2A",
++"D%	c #DA9435",
++"E%	c #DA933C",
++"F%	c #E5A34C",
++"G%	c #F0A871",
++"H%	c #E5BF74",
++"I%	c #CB9843",
++"J%	c #CC8834",
++"K%	c #E6A152",
++"L%	c #EEBC87",
++"M%	c #3A2C11",
++"N%	c #240E0A",
++"O%	c #1B1901",
++"P%	c #240F01",
++"Q%	c #1A1901",
++"R%	c #1A0E01",
++"S%	c #1B170B",
++"T%	c #191001",
++"U%	c #1A1301",
++"V%	c #24100B",
++"W%	c #100C01",
++"X%	c #0D0909",
++"Y%	c #190909",
++"Z%	c #1A0E04",
++"`%	c #1A0C07",
++" &	c #0F0502",
++".&	c #180A09",
++"+&	c #1F1609",
++"@&	c #4A240D",
++"#&	c #A4621F",
++"$&	c #BF872D",
++"%&	c #712E0F",
++"&&	c #95411B",
++"*&	c #D99838",
++"=&	c #D99340",
++"-&	c #D79D41",
++";&	c #E5B26E",
++">&	c #F1D2A3",
++",&	c #EDBA93",
++"'&	c #D9A45E",
++")&	c #F0BB7F",
++"!&	c #A2885E",
++"~&	c #1B1001",
++"{&	c #1D0F02",
++"]&	c #230F07",
++"^&	c #1D1A06",
++"/&	c #1A0F04",
++"(&	c #1A0F09",
++"_&	c #190D09",
++":&	c #110D09",
++"<&	c #0F0505",
++"[&	c #211405",
++"}&	c #5B330D",
++"|&	c #9C631F",
++"1&	c #D68E3A",
++"2&	c #D2862A",
++"3&	c #8E5114",
++"4&	c #B3662A",
++"5&	c #D39E45",
++"6&	c #D29245",
++"7&	c #D49F4A",
++"8&	c #E8AA71",
++"9&	c #FFCC93",
++"0&	c #FFD9A7",
++"a&	c #FFE5BB",
++"b&	c #5E4337",
++"c&	c #181805",
++"d&	c #210F00",
++"e&	c #210F03",
++"f&	c #1F1A02",
++"g&	c #191800",
++"h&	c #1B1000",
++"i&	c #261000",
++"j&	c #110D05",
++"k&	c #0D0D05",
++"l&	c #140D00",
++"m&	c #100500",
++"n&	c #0F0F00",
++"o&	c #291705",
++"p&	c #53240D",
++"q&	c #8F5C1F",
++"r&	c #D39933",
++"s&	c #D38D33",
++"t&	c #D78B33",
++"u&	c #C1762C",
++"v&	c #B05A2E",
++"w&	c #B77A3F",
++"x&	c #C4864B",
++"y&	c #D59F48",
++"z&	c #ECA958",
++"A&	c #F0B970",
++"B&	c #E2AF71",
++"C&	c #311D10",
++"D&	c #190E06",
++"E&	c #211A07",
++"F&	c #1F0F02",
++"G&	c #1A0D08",
++"H&	c #261600",
++"I&	c #110F05",
++"J&	c #0F0D09",
++"K&	c #1A0A09",
++"L&	c #0F0804",
++"M&	c #0F0B09",
++"N&	c #191600",
++"O&	c #1F170E",
++"P&	c #3A1A13",
++"Q&	c #835C1F",
++"R&	c #CF8E33",
++"S&	c #D78D31",
++"T&	c #DB8C2A",
++"U&	c #D68C35",
++"V&	c #C88535",
++"W&	c #AF6327",
++"X&	c #875416",
++"Y&	c #AC6D22",
++"Z&	c #925D28",
++"`&	c #785119",
++" *	c #4C3718",
++".*	c #23180A",
++"+*	c #1D0F05",
++"@*	c #231A07",
++"#*	c #241804",
++"$*	c #271000",
++"%*	c #1F1409",
++"&*	c #1F1000",
++"**	c #0C0C01",
++"=*	c #100C00",
++"-*	c #130100",
++";*	c #140C00",
++">*	c #100101",
++",*	c #170C00",
++"'*	c #0F0401",
++")*	c #0F0801",
++"!*	c #190E00",
++"~*	c #0F0E00",
++"{*	c #180201",
++"]*	c #2E1B06",
++"^*	c #583412",
++"/*	c #6F3516",
++"(*	c #D78931",
++"_*	c #CF832A",
++":*	c #D7953C",
++"<*	c #D28C33",
++"[*	c #CA8C2C",
++"}*	c #BF7526",
++"|*	c #BD5D1A",
++"1*	c #BD6A2F",
++"2*	c #3F221F",
++"3*	c #8A8870",
++"4*	c #534A34",
++"5*	c #1B1701",
++"6*	c #1B0F01",
++"7*	c #240F00",
++"8*	c #1A0F01",
++"9*	c #240E01",
++"0*	c #201201",
++"a*	c #231500",
++"b*	c #100E01",
++"c*	c #0C0B00",
++"d*	c #170B00",
++"e*	c #170B0B",
++"f*	c #170D03",
++"g*	c #230F0F",
++"h*	c #431210",
++"i*	c #5C3913",
++"j*	c #D68C33",
++"k*	c #D89433",
++"l*	c #D98D33",
++"m*	c #D99233",
++"n*	c #D98B33",
++"o*	c #CF8C33",
++"p*	c #C37B26",
++"q*	c #785732",
++"r*	c #817543",
++"s*	c #DDCFAA",
++"t*	c #F8F5D7",
++"u*	c #938A65",
++"v*	c #2D1E08",
++"w*	c #241903",
++"x*	c #241708",
++"y*	c #190F06",
++"z*	c #241701",
++"A*	c #1D190B",
++"B*	c #26180B",
++"C*	c #1D1000",
++"D*	c #150800",
++"E*	c #1A0100",
++"F*	c #1B0C0C",
++"G*	c #3B2103",
++"H*	c #4E240B",
++"I*	c #472E15",
++"J*	c #D8862C",
++"K*	c #DE8F33",
++"L*	c #D98C33",
++"M*	c #DD9438",
++"N*	c #DD9044",
++"O*	c #BE8432",
++"P*	c #7E542F",
++"Q*	c #C7B387",
++"R*	c #957B56",
++"S*	c #FAD9B6",
++"T*	c #FFEBCA",
++"U*	c #FFFAEC",
++"V*	c #AAA296",
++"W*	c #262609",
++"X*	c #191105",
++"Y*	c #191906",
++"Z*	c #1B110B",
++"`*	c #231300",
++" =	c #231700",
++".=	c #100B0B",
++"+=	c #130D04",
++"@=	c #582B0E",
++"#=	c #B97117",
++"$=	c #5C3713",
++"%=	c #A2691E",
++"&=	c #68411E",
++"*=	c #BA7A2B",
++"==	c #B97D2B",
++"-=	c #AE7C24",
++";=	c #8B602B",
++">=	c #8C6139",
++",=	c #DBC670",
++"'=	c #D8C088",
++")=	c #9F8352",
++"!=	c #FFDE99",
++"~=	c #F8EBBB",
++"{=	c #FFF2D1",
++"]=	c #FEF7F5",
++"^=	c #AFAF90",
++"/=	c #2E1D0F",
++"(=	c #24190D",
++"_=	c #241101",
++":=	c #1D0D0B",
++"<=	c #261700",
++"[=	c #0F0D0B",
++"}=	c #0D0500",
++"|=	c #151300",
++"1=	c #573614",
++"2=	c #BC7614",
++"3=	c #B56B0F",
++"4=	c #613D1C",
++"5=	c #D19333",
++"6=	c #CB8022",
++"7=	c #875824",
++"8=	c #8E5924",
++"9=	c #A36B25",
++"0=	c #CD913E",
++"a=	c #EBBB6B",
++"b=	c #F9CB88",
++"c=	c #B08D65",
++"d=	c #CA9A63",
++"e=	c #F6D98A",
++"f=	c #FBE2B5",
++"g=	c #FFEFC3",
++"h=	c #FFFADC",
++"i=	c #FCF4EE",
++"j=	c #9C9884",
++"k=	c #1E1605",
++"l=	c #191500",
++"m=	c #1A1400",
++"n=	c #1A1100",
++"o=	c #0E0B01",
++"p=	c #0D0D08",
++"q=	c #19190D",
++"r=	c #5D340E",
++"s=	c #6A440D",
++"t=	c #573C0B",
++"u=	c #3F2E13",
++"v=	c #6F4F1C",
++"w=	c #71511A",
++"x=	c #7D5326",
++"y=	c #7B511C",
++"z=	c #7D5321",
++"A=	c #7D5A28",
++"B=	c #886C40",
++"C=	c #8A7948",
++"D=	c #4C3B2C",
++"E=	c #7F6E45",
++"F=	c #887951",
++"G=	c #8A7B5F",
++"H=	c #8A7C6A",
++"I=	c #8A8979",
++"J=	c #8A7E73",
++"K=	c #828270",
++"L=	c #2D201A",
++"M=	c #190F0D",
++"N=	c #0F0D0D",
++"O=	c #180D01",
++"P=	c #150C00",
++"Q=	c #140C0B",
++"R=	c #0B0B0B",
++". + . @ # . . + . . + . # $ % & * = - . ; + ; > , ' ) ! = - ~ { + ; ] , ^ / ( _ ",
++": < [ } | 1 2 3 4 5 6 7 8 9 0 a b c b d e 6 f g h i a j k l m n o p q r s t q u ",
++"v w x y v z 3 A A B C D E F ; v G H I J K L M N O i s P Q l n o R S P T } s P U ",
++"V W X Y Z 7 S `  ...+.V @.#.$.%.&.*.=.-.;.>.,.'.).!.~.s {.].^./.l (.s _.:.<.[.}.",
++"|.1.2.3.|.4.7 6 5.5.6.7.y i 8.9.0.a.b.c.d.e.f.g.h.i.j.s k.l.C S o m.R e n.o.p.5 ",
++"q.r.s.t.u.v.4.w.z 3 x.q.y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.N.O.l s P.Q.s R.S.T.T.U.V.",
++", W.X.Y.1 y.Z.`. +.+++@+#+$+%+&+*+=+-+;+>+,+'+)+!+~+{+]+^+/+s P (+/+_+:+<+<+:+Y.",
++"[+}+Y.|+1+2+3+[ 4+`.2.5+6+7+8+9+0+a+b+c+d+e+f+g+h+i+j+k+l+m+n+P.Q.o+p+U.T.q+U.V.",
++"! r+1 s+X.s+t+X u+; 3+t+v+w+x+y+z+A+B+C+D+E+F+G+H+I+J+K+L+M+s s N+s o o <+<+O+q.",
++"P+}+Q+Q+R+S+o+W P T+1.U+V+W+X+x+Y+Z+`+ @.@+@@@#@$@%@&@*@=@-@s P.;@s o S.T.T.U.V.",
++">@,@'@r+)@2+!@b ~@{@y.]@^@/@(@_@:@<@[@}@|@1@2@3@4@5@6@7@8@9@0@/+0@a@b@:+<+c@:+Y.",
++"d@y d@e@d@f@g@h@i@j@k@l@m@n@o@p@q@r@s@t@u@v@w@x@y@z@A@B@C@D@/+E@F@G@H@p.I@J@K@R ",
++"7 W L@M@N@R O@P@p Q@]@R@S@T@U@V@W@X@Y@Z@`@ #.#+#@###$#%#&#*#S =#-#=#;#>#,#'#:.)#",
++"w 1.4+y !#f@~#P@A {#]#^#/#(#_#:#<#[#}#|#1#2#3#4#5#6#7#8#9#0#a#b#c#c#d#e#f#f#g#h#",
++"i#| j#9 k#s o l#m#P@n#o#p#p#q#r#s#t#u#v#w#x#y#z#A#B#C#D#E#F#G#H#=#I#J#K#f#L#M#N#",
++"O#R+P##+Q#y 7 R#S#p P@T#U#V#W#X#Y#Z#`# $.$+$@$#$$$%$&$*$=$-$;$=#=#>$K@,$M#'$)$N#",
++"q.u+s.r+!$~${$R ]$s ]$^$V+/$($_$:$<$[$}$|$1$2$3$4$5$6$7$8$9$0$P.a$o+b$c$d$e$c$V.",
++", r+f$Q+y.O+g$(+h$c i$j$k$l$m$l$n$o$p$q$r$s$t$u$v$w$x$y$z$A$q /+B$s C$/.D$:.E$Y.",
++"[+R+F$s+s.2+i G$H$s i ^$#+I$J$K$L$M$N$O$P$Q$R$S$T$U$V$W$X$Y$Z$`$ %o+.%+%@%d$K@V.",
++"! r+Y.s+Q+2+k$#%$%N#k$%%u.n#&%*%=%-%;%>%,%'%)%!%~%{%]%^%/%(%s s _%:%o l <%[%n#q.",
++"P+j }%Q+2+R#|%]$1%2%3%4%r+5%6%7%8%9%0%a%b%c%d%e%f%g%h%i%j%k%n+l%F@s l m%f#n%o%p%",
++"q%j$'@r%s%j$t 6.t%u%v%w%j$x%y%z%A%B%C%D%E%F%G%H%I%J%K%L%M%N%O%P%Q%R%S%T%N+U%V%W%",
++"X%1.Y%s Y%s P@Z%i@`% &.&1.+&@&#&$&%&&&*&=&-&;&>&,&'&)&!&~&{&]&^&/&(&[._&s K#M#:&",
++"<&W Y s c s m P@p Q@]@1%s [&}&|&1&2&3&4&5&6&7&8&9&0&a&b&c&d&=#e&f&R@g&h&o%o%i&j&",
++"k&y y l&m&f@3 n&P@Q@w%z y o&p&q&r&s&t&u&v&w&x&y&z&A&B&C&D&E&=#a#F&R@G&f#K@K@H&I&",
++"J&W } } k#R K&L&E@P@n#M&N&O&P&Q&R&S&T&U&V&W&X&Y&Z&`& *v+.*+*@*E@/&(&#*$*,#%*&*J&",
++"**=*-*;*>*,*'*6 )*!*~*{*=*]*^*/*(*_*:*<*[*}*|*1*2*3*4*5*6*7*6*Q%8*9*p./+[%0*a*b*",
++"c*#+s.d*e*v.]$s ]$j@f*/.o g*h*i*j*k*l*m*n*o*p*q*r*s*t*u*v*w*x*y*a$o+z*A*B*B*C*V.",
++"! r+f$q.1 2+g$D*h$c i$E*F*G*H*I*J*K*L*M*N*O*P*Q*R*S*T*U*V*W*X*Y*B$s Z*`*[%[% =R ",
++"[+j F$F$.=s+i +=H$i i O.@=#=$=%=&=*===-=;=>=,='=)=!=~={=]=^=/=(= %M+_=:=e$d$<=[=",
++"! s+1 Y.f$u.k$N#k$}=|=1=2=3=4=5=6=7=8=9=0=a=b=c=d=e=f=g=h=i=j=k=l=B$m=l <%[%n=q.",
++"P+c*[+c*c*o=|%y R p=q=r=s=t=u=v=w=x=y=z=A=B=C=D=E=F=G=H=I=J=K=L=M=N=O=.=P=Q=r+R="};
--- cecilia-2.0.5.orig/debian/patches/12cecilia.dpatch
+++ cecilia-2.0.5/debian/patches/12cecilia.dpatch
@@ -0,0 +1,66 @@
+#!/bin/sh -e
+## 12cecilia.dpatch by  <free@agnula.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/geiger/demudi/cecilia-2.0.5/cecilia cecilia-2.0.5/cecilia
+--- /home/geiger/demudi/cecilia-2.0.5/cecilia	2004-03-23 10:49:39.000000000 +0100
++++ cecilia-2.0.5/cecilia	2004-03-23 10:50:07.000000000 +0100
+@@ -24,5 +24,5 @@
+ fi
+ 
+ echo Wish Shell: $WISH
+-echo Cecilia Tcl Launcher: ${0}-tcl
+-"$WISH" ${0}-tcl "$@"
++echo Cecilia Tcl Launcher: /usr/share/cecilia/cecilia-tcl
++"$WISH" /usr/share/cecilia/cecilia-tcl "$@"
+diff -urNad /home/geiger/demudi/cecilia-2.0.5/cecilia-tcl cecilia-2.0.5/cecilia-tcl
+--- /home/geiger/demudi/cecilia-2.0.5/cecilia-tcl	2003-02-17 19:34:46.000000000 +0100
++++ cecilia-2.0.5/cecilia-tcl	2004-03-23 10:51:14.000000000 +0100
+@@ -39,7 +39,7 @@
+ 
+ error: environmental variable CEC_LIBRARY is set but dangling!
+ set it so that it points to your Cecilia installation, or place the
+-distribution in /usr/local/lib/cecilia or /usr/lib/cecilia.
++distribution in /usr/local/share/cecilia or /usr/share/cecilia.
+ 
+ if you're not in charge of this, contact your sysadmin.
+ 
+@@ -49,7 +49,7 @@
+ 	    exit 0
+ 	}
+     } {
+-	foreach lib [list /usr/local/lib/cecilia /usr/lib/cecilia [exec pwd]] {
++	foreach lib [list /usr/local/share/cecilia /usr/share/cecilia [exec pwd]] {
+ 	    if [file exists  [file join $lib files]] {
+ 		puts "Cecilia installation located in $lib (automatic)"
+ 		set ceclib $lib
+@@ -62,7 +62,7 @@
+ error: could not locate your installation of Cecilia. Either set your
+ CEC_LIBRARY environment variable to point to the directory where the
+ Cecilia support files were installed, or place them either in
+-/usr/local/lib/cecilia (recommended) or /usr/lib/cecilia for them 
++/usr/local/share/cecilia (recommended) or /usr/share/cecilia for them 
+ to be found automatically.
+ 
+ if you're not in charge of this, contact your sysadmin.
--- cecilia-2.0.5.orig/debian/patches/13CVE-2008-1832.dpatch
+++ cecilia-2.0.5/debian/patches/13CVE-2008-1832.dpatch
@@ -0,0 +1,39 @@
+#!/bin/sh -e
+## 13CVE-2008-1832.dpatch
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- ../old/cecilia-2.0.5/lib/prefs.tcl	2003-02-17 19:26:58.000000000 +0000
++++ cecilia-2.0.5/lib/prefs.tcl	2008-05-06 11:26:21.000000000 +0000
+@@ -182,8 +182,9 @@
+ 	return [localCsound]
+     } {
+ 	puts "info: $csound found; verifying version"
+-	catch {exec $csound >& /tmp/csvers}
+-	set f [open /tmp/csvers r]
++	set tmp [exec mktemp -t]
++	catch {exec $csound >& $tmp}
++	set f [open $tmp r]
+ 	while ![eof $f] {
+ 	    set l [gets $f ]
+ 	    if [regexp Version $l] { break }
--- cecilia-2.0.5.orig/debian/patches/00list
+++ cecilia-2.0.5/debian/patches/00list
@@ -0,0 +1,5 @@
+10makefile
+11cecilia_xpm_icon
+12cecilia
+13CVE-2008-1832
+14startup-loop
--- cecilia-2.0.5.orig/debian/patches/10makefile.dpatch
+++ cecilia-2.0.5/debian/patches/10makefile.dpatch
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+## 10makefile.dpatch by Andrea Glorioso <andrea.glorioso@binary-only.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed makefile paths
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/geiger/demudi/cecilia-2.0.5/Makefile cecilia-2.0.5/Makefile
+--- /home/geiger/demudi/cecilia-2.0.5/Makefile	2004-03-23 10:45:04.000000000 +0100
++++ cecilia-2.0.5/Makefile	2004-03-23 10:45:52.000000000 +0100
+@@ -5,7 +5,7 @@
+ 
+ prefix = $(DESTDIR)/usr/
+ bindir = ${prefix}/bin
+-libdir = ${prefix}/lib/cecilia
++libdir = ${prefix}/share/cecilia
+ 
+ 
+ install: